List journal attachments
Last updated
Was this helpful?
Was this helpful?
GET /public/v1/billing/journals/{journalId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"$meta": {
"pagination": {
"offset": 1,
"limit": 1,
"total": 1
},
"omitted": [
"text"
]
},
"data": [
{
"audit": {
"created": {
"at": "2026-05-15T14:02:41.142Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-05-15T14:02:41.142Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"name": "raw records data",
"type": "Input",
"filename": "invoice.pdf",
"size": 102400,
"contentType": "application/pdf",
"description": "Invoice for March 2025",
"isDeleted": false,
"id": "JOA-1234-1234",
"journal": {
"revision": 1,
"id": "BJO-1234-1234",
"name": "29 Nov 2024 #1",
"dueDate": "2025-05-15T23:59:59+00:00"
},
"vendor": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
}
]
}